#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except
# pylint: disable=missing-docstring, line-too-long
# pylint: anomalous-backslash-in-string

import hashlib


def md5hash(data, hash_keys=list()):
    """
    md5 hash code compute
    :param data: [dic] decoded object list
    :param hash_keys: [list] keys list
    :return: [string]
    """
    hash_string = ''
    if len(hash_keys) < 1:
        hash_keys = data.keys()

    for key_name in hash_keys:
        if key_name in data:
            hash_string += '%s|' % data[key_name]

    if hash_string == '':
        hash_string = '-'

    md5 = hashlib.md5()
    md5.update(hash_string)
    return md5.hexdigest()


# ------------------------
#   Demo
# ------------------------
if __name__ == '__main__':
    pass
