#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except
# pylint: disable=missing-docstring, line-too-long
# pylint: anomalous-backslash-in-string

import time
from utils import get_latency_str_for_millisecond


def timeout(func):
    """ filter func run timeout """

    def wrapper(*argv, **kwgs):
        start_time = time.time()
        res = func(*argv, **kwgs)
        proc_time = time.time() - start_time
        msg = ("[%0.3fs] [%10s] [%s]" %
               (proc_time, get_latency_str_for_millisecond(proc_time * 1000),
                func.__name__))
        print msg
        return res

    return wrapper


class ColorString(object):
    BLACK = 0
    RED = 1
    GREEN = 2
    YELLOW = 3
    BLUE = 4
    PURPLE = 5
    CYAN = 6
    GRAY = 7

    @staticmethod
    def format(info, color):
        """
            print info
        :param info:
            [string] info string
        :param color:
            [ColorString.RED] string color
        :return:
        """
        fmt = '\033[0;3{}m{}\033[0m'.format
        return fmt(color, info)
