#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except
# pylint: disable=missing-docstring, line-too-long
# pylint: anomalous-backslash-in-string

import time
import datetime


def whats_today():
    """
    获取今天是几月几号
    :return: [year, mouth, day]
    """
    [year, mouth, day] = time.strftime("%Y-%m-%d", time.localtime(time.time())).split('-')
    return [year, mouth, day]


def whats_yesterday():
    """
    获取昨天是几月几号
    :return: [year, mouth, day]
    """
    [year, mouth, day] = time.strftime("%Y-%m-%d", time.localtime(time.time() - 60 * 60 * 24)).split('-')
    return [year, mouth, day]


def get_timestamp(year, mouth, day, hour=0, minute=0, second=0):
    """
    获取时间戳
    :param year: [int]
    :param mouth: [int]
    :param day: [int]
    :param hour: [int]
    :param minute: [int]
    :param second: [int]
    :return:
    """
    return time.mktime(datetime.datetime(int(year), int(mouth), int(day), hour, minute, second).timetuple())


def format_timestamp(timestamp=time.time(), time_format='%Y-%m-%d'):
    """
    格式化日期
    :param timestamp: [int] 时间戳
    :param time_format: [string] 时间格式
    :return:
    """
    return time.strftime(time_format, time.localtime(timestamp))

