#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except
# pylint: disable=missing-docstring, line-too-long
# pylint: anomalous-backslash-in-string

import six


def get_latency_str_for_millisecond(ms):
    """
    延迟时间转化为可视化分级
    :param ms: [int/string] 毫秒时间
    :return:
    """
    if isinstance(ms, str):
        ms = int(ms)

    if ms < 2:
        return "<2ms"
    elif ms < 5:
        return "2ms-5ms"
    elif ms < 20:
        return "5ms-20ms"
    elif ms < 100:
        return "20ms-100ms"
    elif ms < 200:
        return "100ms-200ms"
    elif ms < 500:
        return "200ms-500ms"
    elif ms < 1000:
        return "500ms-1s"
    elif ms < 2000:
        return "1s-2s"
    elif ms < 3000:
        return "2s-3s"
    elif ms < 5000:
        return "3s-5s"
    else:
        return ">5s"


def obj_to_dic(obj):
    """
    将 obj 对象的属性封装成 dict
    :param obj: [obj]
    :return:
    """
    res = dict(obj.__dict__)
    res.pop('_sa_instance_state', None)
    return res


def text(string, encoding='utf8'):
    """
    Make sure string is unicode type, decode with given encoding if it's not.
    If parameter is a object, object.__str__ will been called
    """
    if string is None:
        return string
    if isinstance(string, six.text_type):
        return string
    elif isinstance(string, six.binary_type):
        return string.decode(encoding)
    elif isinstance(string, bytearray):
        return six.binary_type(string).decode(encoding)
    else:
        return six.text_type(string)
